Skip to main content
GET
Wallet details for a wallet

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Query Parameters

filterByIsArchived
boolean

Filter by the whether a wallet is archived. If true, then only archived wallets will be returned. If false, then only not-archived wallets are returned. If not specified, all wallets are returned.

Response

Wallet info for the specified wallet

data
WalletDetails · object
required

A wallet holds a crypto asset or fiat (USD). A crypto wallet has a depositAddress. A fiat wallet has no depositAddress. The GET endpoints return its bank wire details in depositInstruction. The create response omits depositInstruction, because the instruction is set up after the wallet is created.

Example: